Package org.opensaml.core.metrics

# Enum Class LoggerDrivenMetricFilter.Level

java.lang.Object
java.lang.Enum<LoggerDrivenMetricFilter.Level>
org.opensaml.core.metrics.LoggerDrivenMetricFilter.Level

All Implemented Interfaces:
  `Serializable`, `Comparable<LoggerDrivenMetricFilter.Level>`, `Constable`

Enclosing class:
  LoggerDrivenMetricFilter

public static enum LoggerDrivenMetricFilter.Level extends Enum<LoggerDrivenMetricFilter.Level>
Filtering level, corresponding to available logging levels.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEBUG`
Debug level.
`ERROR`
Error level.
`INFO`
Info level.
`TRACE`
Trace level.
`WARN`
Warn level.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Level()`

## Method Summary

Modifier and Type
Method
Description
`static LoggerDrivenMetricFilter.Level`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LoggerDrivenMetricFilter.Level[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRACE

public static final LoggerDrivenMetricFilter.Level TRACE
Trace level.

### DEBUG

public static final LoggerDrivenMetricFilter.Level DEBUG
Debug level.

### INFO

public static final LoggerDrivenMetricFilter.Level INFO
Info level.

### WARN

public static final LoggerDrivenMetricFilter.Level WARN
Warn level.

### ERROR

public static final LoggerDrivenMetricFilter.Level ERROR
Error level.

## Constructor Details

### Level

private Level()

## Method Details

### values

public static LoggerDrivenMetricFilter.Level[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LoggerDrivenMetricFilter.Level valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null